﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = populateGrid();
        WebDataGrid1.DataBind();
    }
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {
        var a = 5;
    }
    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        var a = 5;
    }



    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        //click handler of the templated button.
        //The parent row in which this templated button resides can be accessed from here through the event argument.
        TemplateContainer container = ((Infragistics.Web.UI.TemplateContainer)(sender as Button).Parent);
        GridRecordItem item = container.Item as GridRecordItem;

        //set the text of the label inside the dialog window to show the datakey 
        //of the clicked row and show the dialog window itself
        Label1.Text = "Current Selected item: " +  item.Row.DataKey[0].ToString();
        WebDialogWindow1.InitialLocation = Infragistics.Web.UI.LayoutControls.DialogWindowPosition.Centered;
        WebDialogWindow1.WindowState = Infragistics.Web.UI.LayoutControls.DialogWindowState.Normal;
    }
    protected void WebDataGrid1_InitializeRow(object sender, RowEventArgs e)
    {
        e.Row.Items[2].Value = "Select - 2nd approach";
    }
    protected void WebDataGrid1_CellSelectionChanged(object sender, SelectedCellEventArgs e)
    {
        //second possible approach for displaying webdialogwindow using the click (selection) of an unboundField
        Label1.Text = "Current Selected item: " + e.CurrentSelectedCells[0].Row.DataKey[0].ToString();
        WebDialogWindow1.InitialLocation = Infragistics.Web.UI.LayoutControls.DialogWindowPosition.Centered;
        WebDialogWindow1.WindowState = Infragistics.Web.UI.LayoutControls.DialogWindowState.Normal;
    }
    protected void WebDataGrid1_ItemCommand(object sender, HandleCommandEventArgs e)
    {
        var a = 5;
        if (e.CommandName=="TemplatedButtonClicked") {
        Button button = sender as Button;
        button.Text = "ItemCommand Executed";
        }
    }
}